Subject: Re: bug#39863: Guile 1.8, apparent segfault on some Macs running Mojave

From: Ludovic Courtès <[email-masked]>
Date: Sat, 07 Mar 2020 16:12:03 +0100

Hi,

Marnen Laibow-Koser <[email-masked]> skribis:

> I'm not sure this is a bug report yet, but it may become one.  I'm having
> what looks like a Guile segfault issue for some Mac OS Mojave (10.14)
> users. I've been packaging 64-bit Mac builds of LilyPond, which includes
> libguile 1.8. The builds work well for myself and for nearly everyone else,
> but one user (on Mojave, as am I) consistently reports a segfault right
> around the time libguile is loaded; see
> https://gitlab.com/marnen/lilypond-mac-builder/issues/16 . The LilyPond
> group hasn't provided much help on figuring out this particular issue, so I
> thought I'd come over here...
>
> There's more information in the GitLab issue I mentioned above, but please
> let me know what else would be helpful in diagnosing and fixing this
> particular problem.  (Upgrading to a recent Guile is not an option right
> now AFAIK: LilyPond barely works with Guile 2, let alone 3, and fixing
> *that* would probably be a much larger issue.)

Could you provide a backtrace of the segfault?

Does the problem occur on GNU/Linux as well?

Is it a recent regression of your LilyPond package for macOS?

Unfortunately, Guile 1.8 has been unmaintained for several years and its
code base has almost nothing in common with that of 2.0 and later, so I
won’t make any promises.

Thanks,
Ludo’.